/*
  Display domain definition.
  (C) 1994 IBM Corporation.  All rights reserved.
*/

 tempfile1 = '$domdef1.dsp'
 tempfile2 = '$domdef2.dsp'

 j = queued()
 do i = 1 to j
    parse pull line
 end

 address cmd '@net config req >' tempfile1

 do i = 1 to 8
    line = linein(tempfile1)
 end

 say word(linein(tempfile1),3)          /* the logon domain */
 line = lineout(tempfile1)
 '@erase' tempfile1

/*
  Users
*/

 say ''
 address cmd '@net users >' tempfile1

 line = linein(tempfile1)
 line = linein(tempfile1)
 say line
 line = linein(tempfile1)
 say line
 say ''

 do while (lines(tempfile1))
    line = linein(tempfile1)
    if (lines(tempfile1) = 0) then
       leave

    do i = 1 to 51 by 25
       user = strip(substr(line,i,25),'T',' ')
       if (user = '') then
          leave

       address cmd '@net user "' || user || '" >' tempfile2
       do while (lines(tempfile2))
          line2 = linein(tempfile2)
          if (lines(tempfile2) = 0) then
             leave
          say line2
       end
       line2 = lineout(tempfile2)
       say ''
    end
 end

 line = lineout(tempfile1)
 say copies('*',79)
 say ''

/*
  Groups
*/

 say ''
 address cmd '@net groups >' tempfile1

 line = linein(tempfile1)
 line = linein(tempfile1)
 say line
 line = linein(tempfile1)
 say line
 say ''

 do while (lines(tempfile1))
    line = linein(tempfile1)
    if (lines(tempfile1) = 0) then
       leave

    do i = 2 to 54 by 26
       group = strip(substr(line,i,24),'T',' ')
       if (group = '') then
          leave

       address cmd '@net group "' || group || '" >' tempfile2
       do while (lines(tempfile2))
          line2 = linein(tempfile2)
          if (lines(tempfile2) = 0) then
             leave
          say line2
       end
       line2 = lineout(tempfile2)
       say ''
    end
 end

 line = lineout(tempfile1)
 say copies('*',79)
 say ''

/*
  Aliases
*/

 say ''
 address cmd '@net alias >' tempfile1

 line = linein(tempfile1)
 line = linein(tempfile1)
 say line
 line = linein(tempfile1)
 line = linein(tempfile1)
 line = linein(tempfile1)
 say line
 say ''

 do while (lines(tempfile1))
    line = linein(tempfile1)
    if (lines(tempfile1) = 0) then
       leave

    alias = strip(substr(line,1,8),'T',' ')
    if (alias = '') then
       leave

    address cmd '@net alias "' || alias || '" >' tempfile2
    do while (lines(tempfile2))
          line2 = linein(tempfile2)
          if (lines(tempfile2) = 0) then
             leave
          say line2
    end
    line2 = lineout(tempfile2)
    say ''
 end

 line = lineout(tempfile1)
 say copies('*',79)
 say ''

/*
  Applications
*/

 address cmd '@net app >' tempfile1

 line = linein(tempfile1)
 line = linein(tempfile1)
 say line
 line = linein(tempfile1)
 line = linein(tempfile1)
 line = linein(tempfile1)
 line = linein(tempfile1)
 say line
 say ''

 do while (lines(tempfile1))
    line = linein(tempfile1)
    if (lines(tempfile1) = 0) then
       leave

    application = strip(substr(line,1,8),'T',' ')
    if (application = '') then
       leave

    address cmd '@net app "' || application || '" >' tempfile2
    do while (lines(tempfile2))
       line2 = linein(tempfile2)
       if (lines(tempfile2) = 0) then
          leave
       say line2
    end
    line2 = lineout(tempfile2)
    say ''
 end

 line = lineout(tempfile1)
 say copies('*',79)
 say ''

 '@erase' tempfile1
 '@erase' tempfile2
 exit
