/* Look for files and build find resalutes folder on the desktop */
/* Load REXXUTIL */
 
Arg PATH SUB
/* PATH - the file specifications */
/* SUB = 'S' if looking in sub-directories is needed */
if PATH='' then  PATH='.\*.ico'
 
Call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
Signal on Syntax Name LoadCheck
Call SysLoadFuncs
LoadCheck: /* rc of 43 means REXXUTILs not found */
If rc=43 Then Do
   Say ''
   Say 'ERROR: Not able to load REXXUTILs. Perhaps REXX not installed or'
   Say '       REXXUTIL.DLL not found in a LIBPATH drive/directory.'
   Exit
End
Signal off Syntax
 
           classname='WPFolder'
           title    ='Find Results'
           location ='<WP_DESKTOP>'
           setup    ='OBJECTID=<FIND_RESALUTES>'
           option='R'
           Call BldObj
 
    ifsub=''
    if SUB='S' then ifsub='S'
Call SysFileTree PATH , 'file' , 'O'ifsub
 
       DO i=1 to (file.0) by 1
           classname='WPShadow'
           title    =file.i
           setup = 'SHADOWID='file.i
           location ='<FIND_RESALUTES>'
           option='U'
           Call BldObj
       end /* do */
 
Call SysSetObjectData '<FIND_RESALUTES>', 'OPEN=DEFAULT;'
 
Exit
 
/* Build Object */
BldObj:
call charout ,'Building: 'title
 
result = SysCreateObject(classname, title, location , setup ,option )
 
If result=1 Then call charout ,' ...   Object created!'
Else             call charout ,' ...   Object was not created!'
 
Say '';
Return
