***********************************************************************
*
*  Module Name    = UPM.CBL
*
*  Descriptive Name = User Profile Management Include file
*
*  (C) Copyright IBM Corporation 1988, 1990.  All rights reserved.
*  (C) Copyright MicroSoft Corporation 1988, 1990.  All rights reserved.
*  Licensed Material - Program Property of IBM
*
*  Function = Include File defining Api Logon/Logoff Parameters
*
*  Operating System = OS/2 Extended Edition
*
***********************************************************************



*    Valid values for the remotetype parameter

       78 UPM-LOCAL   value 1.
       78 UPM-DNODE   value 2.
       78 UPM-DOMAIN  value 3.

*    Valid values for the authcheck parameter

       78 UPM-CONFIG  value 1.
       78 UPM-ADMIN   value 2.
       78 UPM-USER    value 3.

*    Return values from upmelgn and upmelgff
*
*    Note:  These values are all negative.  Any positive return
*          value signifies an unexpected OS/2 system level error
*          occurred.  The positive value is the OS/2 return code.
*

       78 UPM-OK                 value  H'0000'.
*     Successful.

       78 UPM-LOG-INPROC         value  H'FB01'.
*     Another logon is in process.

       78 UPM-BAD-TYPE           value  H'FB02'.
*     Bad remotetype.

       78 UPM-NOMEM              value  H'FB03'.
*     Cannot allocate required memory for RAT.

       78 UPM-LOG-FILE-NOT-FOUND value  H'FB04'.
*     An execute file could not be found.

       78 UPM-FAIL-SECURITY      value  H'FB05'.
*     User not logged, failed security clearance.

       78 UPM-BAD-PARAMETER      value  H'FB06'.
*     A parameter passed was invalid.

       78 UPM-BAD-AUTHCHECK      value  H'FB06'.
*     Authcheck was not valid.

       78 UPM-NOT-LOGGED         value  H'FB10'.
*     A logon has not occured for this userid.

       78 UPM-LOGGED             value  H'FB12'.
*     A domain logon is currently active.


